apiVersion: v1
kind: Service
metadata:
  labels:
    external-app: victoria-metrics
  name: victoria-metrics
  namespace: monitoring
spec:
  clusterIP: None
  ports:
  - name: metrics
    port: 8428
    targetPort: 8428
  selector: null
---
apiVersion: v1
kind: Endpoints
metadata:
  labels:
    external-app: victoria-metrics
  name: victoria-metrics
  namespace: monitoring
subsets:
- addresses:
  - ip: __VICTORIA_METRICS_IP__
  ports:
  - name: metrics
    port: 8428
    protocol: TCP
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  labels:
    external-app: victoria-metrics
    prometheus: kube-prometheus
  name: victoria-metrics
  namespace: monitoring
spec:
  endpoints:
  - interval: 30s
    port: metrics
  selector:
    matchLabels:
      external-app: victoria-metrics